Bug 864824 - CVE-2012-0957 kernel: uts: stack memory leak in UNAME26 [fedora-all]
Summary: CVE-2012-0957 kernel: uts: stack memory leak in UNAME26 [fedora-all]
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 17
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedNTH
Keywords: Security, SecurityTracking
Depends On:
Blocks: F18Beta-accepted, F18BetaFreezeExcept CVE-2012-0957
TreeView+ depends on / blocked
 
Reported: 2012-10-10 08:11 UTC by Petr Matousek
Modified: 2012-11-08 09:42 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 09:42:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Petr Matousek 2012-10-10 08:11:00 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=862877

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

Comment 1 Josh Boyer 2012-10-22 13:49:28 UTC
Fixed upstream with commits 2702b1526c7278c4d65d78de209a465d4de2885e and 31fd84b95eb211d5db460a1dda85e004800a7b52.  Applied to F16-F18.  rawhide will pick this up with the next git snapshot.

Comment 2 Fedora Update System 2012-10-22 18:40:05 UTC
kernel-3.6.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.6.3-1.fc17

Comment 3 Fedora Update System 2012-10-23 01:55:20 UTC
Package kernel-3.6.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.6.3-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16669/kernel-3.6.3-1.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-10-23 21:58:23 UTC
kernel-3.6.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.6.3-3.fc18

Comment 5 Fedora Update System 2012-11-01 13:23:52 UTC
kernel-3.6.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.6.5-2.fc16

Comment 6 Adam Williamson 2012-11-01 20:43:32 UTC
Nominating as NTH for F18 Beta; it's a security bug in kernel, that's on the path that can't be fixed entirely by an update (vuln will still be in installer and live images).

Comment 7 Jaroslav Reznik 2012-11-01 20:47:43 UTC
+1 to NTH as it's security issue and can't be fixed by update.

Comment 8 Jóhann B. Guðmundsson 2012-11-01 21:23:36 UTC
+1 to NTH as it's security issue and can't be fixed in the installer without updating the kernel there.

Comment 9 Tim Flink 2012-11-01 21:30:11 UTC
+1 F18 beta NTH as it's a security issue that can't be fixed in the installer or livecds with an update

That makes +4 (assuming +1 from Adam), moving to AcceptedNTH

Comment 10 Adam Williamson 2012-11-08 09:42:43 UTC
We have a much newer kernel stable now. Closing. (Bodhi closing of bugs when updates go stable is currently broken).


Note You need to log in before you can comment on or make changes to this bug.